<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>writeq &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>writeq
   <small>Interface</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 0.0% of total for procedures.</p>Including implementation: 42 statements,  0.2% of total for procedures.">6 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/stringmod.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/stringmod.f03.html'>stringmod.f03</a></li>
    
     <li><a href='../module/strings.html'>strings</a></li>
    
  
     <li class="active">writeq</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
      
<div id="sidebar">
  
<h3>Contents</h3>
 




















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#modprocs-0">Module Procedures</a></h3></div>
  <div id="modprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../interface/writeq.html#moduleprocedure-writeq_dr">writeq_dr</a>
      
      <a class="list-group-item" href="../interface/writeq.html#moduleprocedure-writeq_sr">writeq_sr</a>
      
      <a class="list-group-item" href="../interface/writeq.html#moduleprocedure-writeq_di">writeq_di</a>
      
      <a class="list-group-item" href="../interface/writeq.html#moduleprocedure-writeq_si">writeq_si</a>
      
    </div>
  </div>
</div>




</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>public interface writeq</h2>
   
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: interface~~writeq~~CallsGraph Pages: 1 -->
<svg id="interfacewriteqCallsGraph" width="337pt" height="179pt"
 viewBox="0.00 0.00 337.00 179.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="interface~~writeq~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 175)">
<title>interface~~writeq~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-175 333,-175 333,4 -4,4"/>
<!-- interface~writeq -->
<g id="interface~~writeq~~CallsGraph_node1" class="node">
<title>interface~writeq</title>
<polygon fill="none" stroke="#000000" points="54,-108 0,-108 0,-84 54,-84 54,-108"/>
<text text-anchor="middle" x="27" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">writeq</text>
</g>
<!-- proc~writeq_sr -->
<g id="interface~~writeq~~CallsGraph_node2" class="node">
<title>proc~writeq_sr</title>
<g id="a_interface~~writeq~~CallsGraph_node2"><a xlink:href=".././proc/writeq_sr.html" xlink:title="writeq_sr">
<polygon fill="#d9534f" stroke="#d9534f" points="146.5,-87 90.5,-87 90.5,-63 146.5,-63 146.5,-87"/>
<text text-anchor="middle" x="118.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq_sr</text>
</a>
</g>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_sr -->
<g id="interface~~writeq~~CallsGraph_edge1" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_sr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.453,-89.6993C62.6254,-87.8237 71.7305,-85.734 80.4511,-83.7325"/>
<polygon fill="#000000" stroke="#000000" points="81.4693,-87.0899 90.433,-81.4416 79.9034,-80.2673 81.4693,-87.0899"/>
</g>
<!-- proc~writeq_di -->
<g id="interface~~writeq~~CallsGraph_node3" class="node">
<title>proc~writeq_di</title>
<g id="a_interface~~writeq~~CallsGraph_node3"><a xlink:href=".././proc/writeq_di.html" xlink:title="writeq_di">
<polygon fill="#d9534f" stroke="#d9534f" points="146,-45 91,-45 91,-21 146,-21 146,-45"/>
<text text-anchor="middle" x="118.5" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq_di</text>
</a>
</g>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_di -->
<g id="interface~~writeq~~CallsGraph_edge2" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_di</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M44.6421,-83.853C58.1865,-74.5274 77.0971,-61.5069 92.3922,-50.9759"/>
<polygon fill="#000000" stroke="#000000" points="94.6604,-53.6636 100.912,-45.1097 90.6907,-47.898 94.6604,-53.6636"/>
</g>
<!-- proc~writeq_dr -->
<g id="interface~~writeq~~CallsGraph_node4" class="node">
<title>proc~writeq_dr</title>
<g id="a_interface~~writeq~~CallsGraph_node4"><a xlink:href=".././proc/writeq_dr.html" xlink:title="writeq_dr">
<polygon fill="#d9534f" stroke="#d9534f" points="147,-171 90,-171 90,-147 147,-147 147,-171"/>
<text text-anchor="middle" x="118.5" y="-156.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq_dr</text>
</a>
</g>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_dr -->
<g id="interface~~writeq~~CallsGraph_edge3" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_dr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M44.6421,-108.147C58.1865,-117.4726 77.0971,-130.4931 92.3922,-141.0241"/>
<polygon fill="#000000" stroke="#000000" points="90.6907,-144.102 100.912,-146.8903 94.6604,-138.3364 90.6907,-144.102"/>
</g>
<!-- proc~writeq_si -->
<g id="interface~~writeq~~CallsGraph_node5" class="node">
<title>proc~writeq_si</title>
<g id="a_interface~~writeq~~CallsGraph_node5"><a xlink:href=".././proc/writeq_si.html" xlink:title="writeq_si">
<polygon fill="#d9534f" stroke="#d9534f" points="146,-129 91,-129 91,-105 146,-105 146,-129"/>
<text text-anchor="middle" x="118.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq_si</text>
</a>
</g>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_si -->
<g id="interface~~writeq~~CallsGraph_edge4" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_si</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.453,-102.3007C62.7908,-104.2143 72.0992,-106.3506 80.9799,-108.3888"/>
<polygon fill="#000000" stroke="#000000" points="80.2206,-111.8055 90.7501,-110.6312 81.7865,-104.9829 80.2206,-111.8055"/>
</g>
<!-- proc~trimzero -->
<g id="interface~~writeq~~CallsGraph_node6" class="node">
<title>proc~trimzero</title>
<g id="a_interface~~writeq~~CallsGraph_node6"><a xlink:href=".././proc/trimzero.html" xlink:title="trimzero">
<polygon fill="#d9534f" stroke="#d9534f" points="238,-129 184,-129 184,-105 238,-105 238,-129"/>
<text text-anchor="middle" x="211" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzero</text>
</a>
</g>
</g>
<!-- proc~writeq_sr&#45;&gt;proc~trimzero -->
<g id="interface~~writeq~~CallsGraph_edge5" class="edge">
<title>proc~writeq_sr&#45;&gt;proc~trimzero</title>
<path fill="none" stroke="#000000" d="M145.2548,-87.1481C154.5548,-91.3708 165.142,-96.178 175.0623,-100.6823"/>
<polygon fill="#000000" stroke="#000000" points="173.7529,-103.9317 184.3053,-104.8792 176.647,-97.5579 173.7529,-103.9317"/>
</g>
<!-- interface~writenum -->
<g id="interface~~writeq~~CallsGraph_node7" class="node">
<title>interface~writenum</title>
<g id="a_interface~~writeq~~CallsGraph_node7"><a xlink:href=".././interface/writenum.html" xlink:title="writenum">
<polygon fill="#a7506f" stroke="#a7506f" points="239,-87 183,-87 183,-63 239,-63 239,-87"/>
<text text-anchor="middle" x="211" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writenum</text>
</a>
</g>
</g>
<!-- proc~writeq_sr&#45;&gt;interface~writenum -->
<g id="interface~~writeq~~CallsGraph_edge6" class="edge">
<title>proc~writeq_sr&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M146.5041,-75C154.7594,-75 163.9383,-75 172.7217,-75"/>
<polygon fill="#000000" stroke="#000000" points="172.7719,-78.5001 182.7719,-75 172.7718,-71.5001 172.7719,-78.5001"/>
</g>
<!-- proc~writeq_di&#45;&gt;proc~trimzero -->
<g id="interface~~writeq~~CallsGraph_edge7" class="edge">
<title>proc~writeq_di&#45;&gt;proc~trimzero</title>
<path fill="none" stroke="#000000" d="M136.1801,-45.0567C139.8808,-47.8439 143.6679,-50.9045 147,-54 165.0124,-70.7332 165.0587,-79.1907 183,-96 183.9229,-96.8647 184.8808,-97.7275 185.8619,-98.5832"/>
<polygon fill="#000000" stroke="#000000" points="183.6754,-101.3163 193.6417,-104.9113 188.0925,-95.8859 183.6754,-101.3163"/>
</g>
<!-- proc~writeq_di&#45;&gt;interface~writenum -->
<g id="interface~~writeq~~CallsGraph_edge8" class="edge">
<title>proc~writeq_di&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M145.2548,-45.1481C154.5548,-49.3708 165.142,-54.178 175.0623,-58.6823"/>
<polygon fill="#000000" stroke="#000000" points="173.7529,-61.9317 184.3053,-62.8792 176.647,-55.5579 173.7529,-61.9317"/>
</g>
<!-- proc~writeq_dr&#45;&gt;proc~trimzero -->
<g id="interface~~writeq~~CallsGraph_edge9" class="edge">
<title>proc~writeq_dr&#45;&gt;proc~trimzero</title>
<path fill="none" stroke="#000000" d="M145.2548,-146.8519C154.5548,-142.6292 165.142,-137.822 175.0623,-133.3177"/>
<polygon fill="#000000" stroke="#000000" points="176.647,-136.4421 184.3053,-129.1208 173.7529,-130.0683 176.647,-136.4421"/>
</g>
<!-- proc~writeq_dr&#45;&gt;interface~writenum -->
<g id="interface~~writeq~~CallsGraph_edge10" class="edge">
<title>proc~writeq_dr&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M136.1801,-146.9433C139.8808,-144.1561 143.6679,-141.0955 147,-138 165.0124,-121.2668 165.0587,-112.8093 183,-96 183.9229,-95.1353 184.8808,-94.2725 185.8619,-93.4168"/>
<polygon fill="#000000" stroke="#000000" points="188.0925,-96.1141 193.6417,-87.0887 183.6754,-90.6837 188.0925,-96.1141"/>
</g>
<!-- proc~writeq_si&#45;&gt;proc~trimzero -->
<g id="interface~~writeq~~CallsGraph_edge11" class="edge">
<title>proc~writeq_si&#45;&gt;proc~trimzero</title>
<path fill="none" stroke="#000000" d="M146.0026,-117C154.6698,-117 164.3944,-117 173.6284,-117"/>
<polygon fill="#000000" stroke="#000000" points="173.7629,-120.5001 183.7628,-117 173.7628,-113.5001 173.7629,-120.5001"/>
</g>
<!-- proc~writeq_si&#45;&gt;interface~writenum -->
<g id="interface~~writeq~~CallsGraph_edge12" class="edge">
<title>proc~writeq_si&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M145.2548,-104.8519C154.5548,-100.6292 165.142,-95.822 175.0623,-91.3177"/>
<polygon fill="#000000" stroke="#000000" points="176.647,-94.4421 184.3053,-87.1208 173.7529,-88.0683 176.647,-94.4421"/>
</g>
<!-- proc~write_sr -->
<g id="interface~~writeq~~CallsGraph_node8" class="node">
<title>proc~write_sr</title>
<g id="a_interface~~writeq~~CallsGraph_node8"><a xlink:href=".././proc/write_sr.html" xlink:title="write_sr">
<polygon fill="#d9534f" stroke="#d9534f" points="329,-150 275,-150 275,-126 329,-126 329,-150"/>
<text text-anchor="middle" x="302" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">write_sr</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_sr -->
<g id="interface~~writeq~~CallsGraph_edge13" class="edge">
<title>interface~writenum&#45;&gt;proc~write_sr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M228.5457,-87.147C242.016,-96.4726 260.8233,-109.4931 276.0349,-120.0241"/>
<polygon fill="#000000" stroke="#000000" points="274.294,-123.0758 284.5081,-125.8903 278.2785,-117.3204 274.294,-123.0758"/>
</g>
<!-- proc~write_si -->
<g id="interface~~writeq~~CallsGraph_node9" class="node">
<title>proc~write_si</title>
<g id="a_interface~~writeq~~CallsGraph_node9"><a xlink:href=".././proc/write_si.html" xlink:title="write_si">
<polygon fill="#d9534f" stroke="#d9534f" points="329,-108 275,-108 275,-84 329,-84 329,-108"/>
<text text-anchor="middle" x="302" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">write_si</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_si -->
<g id="interface~~writeq~~CallsGraph_edge14" class="edge">
<title>interface~writenum&#45;&gt;proc~write_si</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M239.2941,-81.5294C247.4692,-83.416 256.5133,-85.5031 265.129,-87.4913"/>
<polygon fill="#000000" stroke="#000000" points="264.4374,-90.9236 274.9684,-89.7619 266.0115,-84.1029 264.4374,-90.9236"/>
</g>
<!-- proc~write_dr -->
<g id="interface~~writeq~~CallsGraph_node10" class="node">
<title>proc~write_dr</title>
<g id="a_interface~~writeq~~CallsGraph_node10"><a xlink:href=".././proc/write_dr.html" xlink:title="write_dr">
<polygon fill="#d9534f" stroke="#d9534f" points="329,-66 275,-66 275,-42 329,-42 329,-66"/>
<text text-anchor="middle" x="302" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">write_dr</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_dr -->
<g id="interface~~writeq~~CallsGraph_edge15" class="edge">
<title>interface~writenum&#45;&gt;proc~write_dr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M239.2941,-68.4706C247.4692,-66.584 256.5133,-64.4969 265.129,-62.5087"/>
<polygon fill="#000000" stroke="#000000" points="266.0115,-65.8971 274.9684,-60.2381 264.4374,-59.0764 266.0115,-65.8971"/>
</g>
<!-- proc~write_di -->
<g id="interface~~writeq~~CallsGraph_node11" class="node">
<title>proc~write_di</title>
<g id="a_interface~~writeq~~CallsGraph_node11"><a xlink:href=".././proc/write_di.html" xlink:title="write_di">
<polygon fill="#d9534f" stroke="#d9534f" points="329,-24 275,-24 275,0 329,0 329,-24"/>
<text text-anchor="middle" x="302" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">write_di</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_di -->
<g id="interface~~writeq~~CallsGraph_edge16" class="edge">
<title>interface~writenum&#45;&gt;proc~write_di</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M228.5457,-62.853C242.016,-53.5274 260.8233,-40.5069 276.0349,-29.9759"/>
<polygon fill="#000000" stroke="#000000" points="278.2785,-32.6796 284.5081,-24.1097 274.294,-26.9242 278.2785,-32.6796"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

     <section class="visible-xs visible-sm hidden-md">
       
<h3>Contents</h3>
 




















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#modprocs-1">Module Procedures</a></h3></div>
  <div id="modprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../interface/writeq.html#moduleprocedure-writeq_dr">writeq_dr</a>
      
      <a class="list-group-item" href="../interface/writeq.html#moduleprocedure-writeq_sr">writeq_sr</a>
      
      <a class="list-group-item" href="../interface/writeq.html#moduleprocedure-writeq_di">writeq_di</a>
      
      <a class="list-group-item" href="../interface/writeq.html#moduleprocedure-writeq_si">writeq_si</a>
      
    </div>
  </div>
</div>




     </section>
     <br class="visible-xs visible-sm hidden-md">
     
  

  

  
   <h2>Module Procedures</h2>
   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-writeq_dr"></span><h3>
private subroutine <a href='../proc/writeq_dr.html'>writeq_dr</a>(unit, namestr, value, fmt)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>unit</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>namestr</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real(kind=kr8)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>value</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>fmt</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-writeq_sr"></span><h3>
private subroutine <a href='../proc/writeq_sr.html'>writeq_sr</a>(unit, namestr, value, fmt)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>unit</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>namestr</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real(kind=kr4)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>value</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>fmt</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-writeq_di"></span><h3>
private subroutine <a href='../proc/writeq_di.html'>writeq_di</a>(unit, namestr, ivalue, fmt)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>unit</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>namestr</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer(kind=ki8)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ivalue</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>fmt</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-writeq_si"></span><h3>
private subroutine <a href='../proc/writeq_si.html'>writeq_si</a>(unit, namestr, ivalue, fmt)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>unit</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>namestr</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer(kind=ki4)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ivalue</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>fmt</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
     

 </div>
</div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>